logging-log4j-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Curt Arnold <carn...@apache.org>
Subject Re: Is anybody home? :-D
Date Sat, 01 Aug 2009 13:17:56 GMT

On Aug 1, 2009, at 4:49 AM, Antonio Petrelli wrote:

> 2009/8/1 Curt Arnold <carnold@apache.org>:
>> We've discussed the javac target option previously, setting  
>> target=1.2
>
> Just a note, in companion component the target is 1.1, the source is  
> 1.2.
>
>> does
>> not indicate that only methods in the JDK 1.2's class library are  
>> used, it
>> means to output byte-code that adheres to that particular JVM's  
>> byte code
>> format.
>
> You're right, in fact the only problem is inside Eclipse, since it is
> saying that the environment that I use (J2SE 1.2 over a Java SE 6)
> gives me compile errors due to "restrictions in the use of some
> classes", such as DOM classes.
>
>>  The target setting was intentional.  I'm not aware of any
>> significant improvement that would come from bumping it.  I  
>> definitely would
>> not want to bump it on log4j itself.
>
> Why not on the companions, then? Java 5 is at the end-of-life, while
> Java 6 is mature, why not jumping *at least* into Java 5?
>
> Antonio
>

My minds a little fuzzy on the details, but I remember having to avoid  
some combinations of target and source to work with particular  
compilers.  I'm open to evolving the settings if they are causing pain  
with more modern environments, but cautious to change for the sake of  
change in the mainline stuff.  For the unreleased companions,  
compatibility with obsolete JVM's is much less of an issue.


---------------------------------------------------------------------
To unsubscribe, e-mail: log4j-dev-unsubscribe@logging.apache.org
For additional commands, e-mail: log4j-dev-help@logging.apache.org


Mime
View raw message